com.genesyslab.wfm7.API.service.schedule750

## Class SchAgentDayHolder

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule750.SchAgentDayHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class SchAgentDayHolder
      extends java.lang.Object
      implements java.io.Serializable

  Represents a response to requests to load `SchAgentDay` or `SchAgentDayShort`
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private CfgAgentShort[]` | `cfgAgentInfo` Contains short agent information for every unique agent in the returned agent days.
    `private int` | `cfgAgentInfoNSizeIs` Number of elements in "cfgAgentInfo" array
    `private CfgContractAvailability[]` | `cfgAvailabilityInfo` Contains contract availability information for every unique contract in returned agent days.
    `private int` | `cfgAvailabilityInfoNSizeIs` Number of elements in "cfgAvailabilityInfo" array
    `private CfgContractShort[]` | `cfgContractInfo` Contains short contract information for every unique contract in returned agent days.
    `private int` | `cfgContractInfoNSizeIs` Number of elements in "cfgContractInfo" array
    `private CfgTeamShort[]` | `cfgTeamInfo` Contains short team information for every unique team in returned agent days.
    `private int` | `cfgTeamInfoNSizeIs` Number of elements in "cfgTeamInfo" array
    `private SchAgentDay[]` | `schAgentDay` A sorted/grouped list of `SchAgentDay`.
    `private int` | `schAgentDayCount` Total number of agent days in snapshot.
    `private int` | `schAgentDayNSizeIs` Number of elements in "schAgentDay" array
    `private SchAgentDayShort[]` | `schAgentDayShort` A sorted/grouped list of `SchAgentDayShort`.
    `private int` | `schAgentDayShortNSizeIs` Number of elements in "schAgentDayShort" array
    `private SchAgentTotals[]` | `schAgentTotals` Contains different agent work totals calculated for specified period(s).
    `private int` | `schAgentTotalsNSizeIs` Number of elements in "schAgentTotals" array
    `private SchStateInfo[]` | `schStateInfo` Contains info `SchStateInfo` for every unique `SchState` in the response, including Shift and full-day exception states.
    `private int` | `schStateInfoNSizeIs` Number of elements in "schStateInfo" array
    `private long` | `timestamp` Response timestamp value

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchAgentDayHolder()`
    `SchAgentDayHolder(int schAgentDayNSizeIs, SchAgentDay[] schAgentDay, int schAgentDayShortNSizeIs, SchAgentDayShort[] schAgentDayShort, int schStateInfoNSizeIs, SchStateInfo[] schStateInfo, int schAgentTotalsNSizeIs, SchAgentTotals[] schAgentTotals, int cfgAgentInfoNSizeIs, CfgAgentShort[] cfgAgentInfo, int cfgTeamInfoNSizeIs, CfgTeamShort[] cfgTeamInfo, int cfgContractInfoNSizeIs, CfgContractShort[] cfgContractInfo, int cfgAvailabilityInfoNSizeIs, CfgContractAvailability[] cfgAvailabilityInfo, int schAgentDayCount, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CfgAgentShort[]` | `getCfgAgentInfo()` Gets the cfgAgentInfo value for this SchAgentDayHolder.
    `int` | `getCfgAgentInfoNSizeIs()` Gets the cfgAgentInfoNSizeIs value for this SchAgentDayHolder.
    `CfgContractAvailability[]` | `getCfgAvailabilityInfo()` Gets the cfgAvailabilityInfo value for this SchAgentDayHolder.
    `int` | `getCfgAvailabilityInfoNSizeIs()` Gets the cfgAvailabilityInfoNSizeIs value for this SchAgentDayHolder.
    `CfgContractShort[]` | `getCfgContractInfo()` Gets the cfgContractInfo value for this SchAgentDayHolder.
    `int` | `getCfgContractInfoNSizeIs()` Gets the cfgContractInfoNSizeIs value for this SchAgentDayHolder.
    `CfgTeamShort[]` | `getCfgTeamInfo()` Gets the cfgTeamInfo value for this SchAgentDayHolder.
    `int` | `getCfgTeamInfoNSizeIs()` Gets the cfgTeamInfoNSizeIs value for this SchAgentDayHolder.
    `SchAgentDay[]` | `getSchAgentDay()` Gets the schAgentDay value for this SchAgentDayHolder.
    `int` | `getSchAgentDayCount()` Gets the schAgentDayCount value for this SchAgentDayHolder.
    `int` | `getSchAgentDayNSizeIs()` Gets the schAgentDayNSizeIs value for this SchAgentDayHolder.
    `SchAgentDayShort[]` | `getSchAgentDayShort()` Gets the schAgentDayShort value for this SchAgentDayHolder.
    `int` | `getSchAgentDayShortNSizeIs()` Gets the schAgentDayShortNSizeIs value for this SchAgentDayHolder.
    `SchAgentTotals[]` | `getSchAgentTotals()` Gets the schAgentTotals value for this SchAgentDayHolder.
    `int` | `getSchAgentTotalsNSizeIs()` Gets the schAgentTotalsNSizeIs value for this SchAgentDayHolder.
    `SchStateInfo[]` | `getSchStateInfo()` Gets the schStateInfo value for this SchAgentDayHolder.
    `int` | `getSchStateInfoNSizeIs()` Gets the schStateInfoNSizeIs value for this SchAgentDayHolder.
    `long` | `getTimestamp()` Gets the timestamp value for this SchAgentDayHolder.
    `void` | `setCfgAgentInfo(CfgAgentShort[] cfgAgentInfo)` Sets the cfgAgentInfo value for this SchAgentDayHolder.
    `void` | `setCfgAgentInfoNSizeIs(int cfgAgentInfoNSizeIs)` Sets the cfgAgentInfoNSizeIs value for this SchAgentDayHolder.
    `void` | `setCfgAvailabilityInfo(CfgContractAvailability[] cfgAvailabilityInfo)` Sets the cfgAvailabilityInfo value for this SchAgentDayHolder.
    `void` | `setCfgAvailabilityInfoNSizeIs(int cfgAvailabilityInfoNSizeIs)` Sets the cfgAvailabilityInfoNSizeIs value for this SchAgentDayHolder.
    `void` | `setCfgContractInfo(CfgContractShort[] cfgContractInfo)` Sets the cfgContractInfo value for this SchAgentDayHolder.
    `void` | `setCfgContractInfoNSizeIs(int cfgContractInfoNSizeIs)` Sets the cfgContractInfoNSizeIs value for this SchAgentDayHolder.
    `void` | `setCfgTeamInfo(CfgTeamShort[] cfgTeamInfo)` Sets the cfgTeamInfo value for this SchAgentDayHolder.
    `void` | `setCfgTeamInfoNSizeIs(int cfgTeamInfoNSizeIs)` Sets the cfgTeamInfoNSizeIs value for this SchAgentDayHolder.
    `void` | `setSchAgentDay(SchAgentDay[] schAgentDay)` Sets the schAgentDay value for this SchAgentDayHolder.
    `void` | `setSchAgentDayCount(int schAgentDayCount)` Sets the schAgentDayCount value for this SchAgentDayHolder.
    `void` | `setSchAgentDayNSizeIs(int schAgentDayNSizeIs)` Sets the schAgentDayNSizeIs value for this SchAgentDayHolder.
    `void` | `setSchAgentDayShort(SchAgentDayShort[] schAgentDayShort)` Sets the schAgentDayShort value for this SchAgentDayHolder.
    `void` | `setSchAgentDayShortNSizeIs(int schAgentDayShortNSizeIs)` Sets the schAgentDayShortNSizeIs value for this SchAgentDayHolder.
    `void` | `setSchAgentTotals(SchAgentTotals[] schAgentTotals)` Sets the schAgentTotals value for this SchAgentDayHolder.
    `void` | `setSchAgentTotalsNSizeIs(int schAgentTotalsNSizeIs)` Sets the schAgentTotalsNSizeIs value for this SchAgentDayHolder.
    `void` | `setSchStateInfo(SchStateInfo[] schStateInfo)` Sets the schStateInfo value for this SchAgentDayHolder.
    `void` | `setSchStateInfoNSizeIs(int schStateInfoNSizeIs)` Sets the schStateInfoNSizeIs value for this SchAgentDayHolder.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this SchAgentDayHolder.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### schAgentDayNSizeIs

          private int schAgentDayNSizeIs

      Number of elements in "schAgentDay" array

    - #### schAgentDay

          private SchAgentDay[] schAgentDay

      A sorted/grouped list of `SchAgentDay`. This is null if SCH_LAYOUT_DAY layout was requested.

    - #### schAgentDayShortNSizeIs

          private int schAgentDayShortNSizeIs

      Number of elements in "schAgentDayShort" array

    - #### schAgentDayShort

          private SchAgentDayShort[] schAgentDayShort

      A sorted/grouped list of `SchAgentDayShort`. This is null if SCH_LAYOUT_OVERLAPPED or SCH_LAYOUT_SEQUENTIAL layout was requested.

    - #### schStateInfoNSizeIs

          private int schStateInfoNSizeIs

      Number of elements in "schStateInfo" array

    - #### schStateInfo

          private SchStateInfo[] schStateInfo

      Contains info `SchStateInfo` for every unique `SchState` in the response, including Shift and full-day exception states. It is null if state info was not requested.

    - #### schAgentTotalsNSizeIs

          private int schAgentTotalsNSizeIs

      Number of elements in "schAgentTotals" array

    - #### schAgentTotals

          private SchAgentTotals[] schAgentTotals

      Contains different agent work totals calculated for specified period(s). It is null if no totals were requested. See the description of the getAgentTotals function for more details.

    - #### cfgAgentInfoNSizeIs

          private int cfgAgentInfoNSizeIs

      Number of elements in "cfgAgentInfo" array

    - #### cfgAgentInfo

          private CfgAgentShort[] cfgAgentInfo

      Contains short agent information for every unique agent in the returned agent days. It is null if the agent info was not requested. `CfgAgentShort`

    - #### cfgTeamInfoNSizeIs

          private int cfgTeamInfoNSizeIs

      Number of elements in "cfgTeamInfo" array

    - #### cfgTeamInfo

          private CfgTeamShort[] cfgTeamInfo

      Contains short team information for every unique team in returned agent days. It is null if team info was not requested. `CfgTeamShort`

    - #### cfgContractInfoNSizeIs

          private int cfgContractInfoNSizeIs

      Number of elements in "cfgContractInfo" array

    - #### cfgContractInfo

          private CfgContractShort[] cfgContractInfo

      Contains short contract information for every unique contract in returned agent days. It is null if contract info was not requested. `CfgContractShort`

    - #### cfgAvailabilityInfoNSizeIs

          private int cfgAvailabilityInfoNSizeIs

      Number of elements in "cfgAvailabilityInfo" array

    - #### cfgAvailabilityInfo

          private CfgContractAvailability[] cfgAvailabilityInfo

      Contains contract availability information for every unique contract in returned agent days.

    - #### schAgentDayCount

          private int schAgentDayCount

      Total number of agent days in snapshot.

    - #### timestamp

          private long timestamp

      Response timestamp value

  - ### Constructor Detail

    - #### SchAgentDayHolder

          public SchAgentDayHolder()

    - #### SchAgentDayHolder

          public SchAgentDayHolder(int schAgentDayNSizeIs,
                           SchAgentDay[] schAgentDay,
                           int schAgentDayShortNSizeIs,
                           SchAgentDayShort[] schAgentDayShort,
                           int schStateInfoNSizeIs,
                           SchStateInfo[] schStateInfo,
                           int schAgentTotalsNSizeIs,
                           SchAgentTotals[] schAgentTotals,
                           int cfgAgentInfoNSizeIs,
                           CfgAgentShort[] cfgAgentInfo,
                           int cfgTeamInfoNSizeIs,
                           CfgTeamShort[] cfgTeamInfo,
                           int cfgContractInfoNSizeIs,
                           CfgContractShort[] cfgContractInfo,
                           int cfgAvailabilityInfoNSizeIs,
                           CfgContractAvailability[] cfgAvailabilityInfo,
                           int schAgentDayCount,
                           long timestamp)

  - ### Method Detail

    - #### getSchAgentDayNSizeIs

          public int getSchAgentDayNSizeIs()

      Gets the schAgentDayNSizeIs value for this SchAgentDayHolder.
      Returns:
        schAgentDayNSizeIs

    - #### setSchAgentDayNSizeIs

          public void setSchAgentDayNSizeIs(int schAgentDayNSizeIs)

      Sets the schAgentDayNSizeIs value for this SchAgentDayHolder.
      Parameters:
        `schAgentDayNSizeIs` -

    - #### getSchAgentDay

          public SchAgentDay[] getSchAgentDay()

      Gets the schAgentDay value for this SchAgentDayHolder.
      Returns:
        schAgentDay

    - #### setSchAgentDay

          public void setSchAgentDay(SchAgentDay[] schAgentDay)

      Sets the schAgentDay value for this SchAgentDayHolder.
      Parameters:
        `schAgentDay` -

    - #### getSchAgentDayShortNSizeIs

          public int getSchAgentDayShortNSizeIs()

      Gets the schAgentDayShortNSizeIs value for this SchAgentDayHolder.
      Returns:
        schAgentDayShortNSizeIs

    - #### setSchAgentDayShortNSizeIs

          public void setSchAgentDayShortNSizeIs(int schAgentDayShortNSizeIs)

      Sets the schAgentDayShortNSizeIs value for this SchAgentDayHolder.
      Parameters:
        `schAgentDayShortNSizeIs` -

    - #### getSchAgentDayShort

          public SchAgentDayShort[] getSchAgentDayShort()

      Gets the schAgentDayShort value for this SchAgentDayHolder.
      Returns:
        schAgentDayShort

    - #### setSchAgentDayShort

          public void setSchAgentDayShort(SchAgentDayShort[] schAgentDayShort)

      Sets the schAgentDayShort value for this SchAgentDayHolder.
      Parameters:
        `schAgentDayShort` -

    - #### getSchStateInfoNSizeIs

          public int getSchStateInfoNSizeIs()

      Gets the schStateInfoNSizeIs value for this SchAgentDayHolder.
      Returns:
        schStateInfoNSizeIs

    - #### setSchStateInfoNSizeIs

          public void setSchStateInfoNSizeIs(int schStateInfoNSizeIs)

      Sets the schStateInfoNSizeIs value for this SchAgentDayHolder.
      Parameters:
        `schStateInfoNSizeIs` -

    - #### getSchStateInfo

          public SchStateInfo[] getSchStateInfo()

      Gets the schStateInfo value for this SchAgentDayHolder.
      Returns:
        schStateInfo

    - #### setSchStateInfo

          public void setSchStateInfo(SchStateInfo[] schStateInfo)

      Sets the schStateInfo value for this SchAgentDayHolder.
      Parameters:
        `schStateInfo` -

    - #### getSchAgentTotalsNSizeIs

          public int getSchAgentTotalsNSizeIs()

      Gets the schAgentTotalsNSizeIs value for this SchAgentDayHolder.
      Returns:
        schAgentTotalsNSizeIs

    - #### setSchAgentTotalsNSizeIs

          public void setSchAgentTotalsNSizeIs(int schAgentTotalsNSizeIs)

      Sets the schAgentTotalsNSizeIs value for this SchAgentDayHolder.
      Parameters:
        `schAgentTotalsNSizeIs` -

    - #### getSchAgentTotals

          public SchAgentTotals[] getSchAgentTotals()

      Gets the schAgentTotals value for this SchAgentDayHolder.
      Returns:
        schAgentTotals

    - #### setSchAgentTotals

          public void setSchAgentTotals(SchAgentTotals[] schAgentTotals)

      Sets the schAgentTotals value for this SchAgentDayHolder.
      Parameters:
        `schAgentTotals` -

    - #### getCfgAgentInfoNSizeIs

          public int getCfgAgentInfoNSizeIs()

      Gets the cfgAgentInfoNSizeIs value for this SchAgentDayHolder.
      Returns:
        cfgAgentInfoNSizeIs

    - #### setCfgAgentInfoNSizeIs

          public void setCfgAgentInfoNSizeIs(int cfgAgentInfoNSizeIs)

      Sets the cfgAgentInfoNSizeIs value for this SchAgentDayHolder.
      Parameters:
        `cfgAgentInfoNSizeIs` -

    - #### getCfgAgentInfo

          public CfgAgentShort[] getCfgAgentInfo()

      Gets the cfgAgentInfo value for this SchAgentDayHolder.
      Returns:
        cfgAgentInfo

    - #### setCfgAgentInfo

          public void setCfgAgentInfo(CfgAgentShort[] cfgAgentInfo)

      Sets the cfgAgentInfo value for this SchAgentDayHolder.
      Parameters:
        `cfgAgentInfo` -

    - #### getCfgTeamInfoNSizeIs

          public int getCfgTeamInfoNSizeIs()

      Gets the cfgTeamInfoNSizeIs value for this SchAgentDayHolder.
      Returns:
        cfgTeamInfoNSizeIs

    - #### setCfgTeamInfoNSizeIs

          public void setCfgTeamInfoNSizeIs(int cfgTeamInfoNSizeIs)

      Sets the cfgTeamInfoNSizeIs value for this SchAgentDayHolder.
      Parameters:
        `cfgTeamInfoNSizeIs` -

    - #### getCfgTeamInfo

          public CfgTeamShort[] getCfgTeamInfo()

      Gets the cfgTeamInfo value for this SchAgentDayHolder.
      Returns:
        cfgTeamInfo

    - #### setCfgTeamInfo

          public void setCfgTeamInfo(CfgTeamShort[] cfgTeamInfo)

      Sets the cfgTeamInfo value for this SchAgentDayHolder.
      Parameters:
        `cfgTeamInfo` -

    - #### getCfgContractInfoNSizeIs

          public int getCfgContractInfoNSizeIs()

      Gets the cfgContractInfoNSizeIs value for this SchAgentDayHolder.
      Returns:
        cfgContractInfoNSizeIs

    - #### setCfgContractInfoNSizeIs

          public void setCfgContractInfoNSizeIs(int cfgContractInfoNSizeIs)

      Sets the cfgContractInfoNSizeIs value for this SchAgentDayHolder.
      Parameters:
        `cfgContractInfoNSizeIs` -

    - #### getCfgContractInfo

          public CfgContractShort[] getCfgContractInfo()

      Gets the cfgContractInfo value for this SchAgentDayHolder.
      Returns:
        cfgContractInfo

    - #### setCfgContractInfo

          public void setCfgContractInfo(CfgContractShort[] cfgContractInfo)

      Sets the cfgContractInfo value for this SchAgentDayHolder.
      Parameters:
        `cfgContractInfo` -

    - #### getCfgAvailabilityInfoNSizeIs

          public int getCfgAvailabilityInfoNSizeIs()

      Gets the cfgAvailabilityInfoNSizeIs value for this SchAgentDayHolder.
      Returns:
        cfgAvailabilityInfoNSizeIs

    - #### setCfgAvailabilityInfoNSizeIs

          public void setCfgAvailabilityInfoNSizeIs(int cfgAvailabilityInfoNSizeIs)

      Sets the cfgAvailabilityInfoNSizeIs value for this SchAgentDayHolder.
      Parameters:
        `cfgAvailabilityInfoNSizeIs` -

    - #### getCfgAvailabilityInfo

          public CfgContractAvailability[] getCfgAvailabilityInfo()

      Gets the cfgAvailabilityInfo value for this SchAgentDayHolder.
      Returns:
        cfgAvailabilityInfo

    - #### setCfgAvailabilityInfo

          public void setCfgAvailabilityInfo(CfgContractAvailability[] cfgAvailabilityInfo)

      Sets the cfgAvailabilityInfo value for this SchAgentDayHolder.
      Parameters:
        `cfgAvailabilityInfo` -

    - #### getSchAgentDayCount

          public int getSchAgentDayCount()

      Gets the schAgentDayCount value for this SchAgentDayHolder.
      Returns:
        schAgentDayCount

    - #### setSchAgentDayCount

          public void setSchAgentDayCount(int schAgentDayCount)

      Sets the schAgentDayCount value for this SchAgentDayHolder.
      Parameters:
        `schAgentDayCount` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this SchAgentDayHolder.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this SchAgentDayHolder.
      Parameters:
        `timestamp` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.